Advisory Details

August 10th, 2018

ABB Panel Builder beSaia_Ethernet IPAddress Heap-based Buffer Overflow Remote Code Execution Vulnerability

ZDI-18-904
ZDI-CAN-6229

CVE ID CVE-2018-10616
CVSS SCORE 9.3, (AV:N/AC:M/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS ABB
AFFECTED PRODUCTS Panel Builder 800
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of ABB Panel Builder 800. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the handling of the IPAddress parameters of the ABB beSaia_Ethernet OPC Driver. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a heap-based buffer. An attacker can leverage this vulnerability to execute code under the context of an administrator.

ADDITIONAL DETAILS ABB has issued an update to correct this vulnerability. More details can be found at:
https://library.e.abb.com/public/30b77e0dc904475295401b66ec74cd3c/3BSE092089_A_en_SECURITY_-_Panel_Builder_800_Improper_input_validation_vulnerability.pdf?x-sign=OyK2T7i661JL8oQxBk+0/iWUV+hinpu8Nt6nvVmhw581vp4nkzkQbe1JSiJQPtp0
DISCLOSURE TIMELINE
  • 2018-05-18 - Vulnerability reported to vendor
  • 2018-08-10 - Coordinated public release of advisory
  • 2018-08-10 - Advisory Updated
CREDIT Michael DePlante
BACK TO ADVISORIES